Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::AdjustmentSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Adjustment. More...

`#include <xfc/gtk/adjustmentsignals.hh>`

Inheritance diagram for Xfc::Gtk::AdjustmentSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_changed ()
    Called when one or more of the Adjustment fields have been changed, other than the value field.
- virtual void on_value_changed ()
    Called when the Adjustment value field has been changed.

## Protected Member Functions

Constructors

- AdjustmentSignals (Adjustment *adjustment)
    Constructs a new AdjustmentSignals.
- virtual ~AdjustmentSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Adjustment.

## Constructor & Destructor Documentation

Xfc::Gtk::AdjustmentSignals::AdjustmentSignals | ( | Adjustment * | adjustment | ) | `[protected]`

Constructs a new AdjustmentSignals.

Parameters:

  | adjustment | An Adjustment object inheriting the AdjustmentSignals implementation.

The documentation for this class was generated from the following file:

- adjustmentsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3